IngestSchemas
curl --request POST \
--url https://developer.synq.io/api/datawarehouse/v1/connection/{connection_id}/upload/{upload_id}/schemas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stateAt": "2023-11-07T05:31:56Z",
"schemas": [
{
"columns": [
{
"name": "<string>",
"nativeType": "<string>",
"ordinalPosition": 123,
"description": "<string>",
"tags": [
{
"tagName": "<string>",
"tagValue": "<string>"
}
],
"isStruct": true,
"isRepeated": true,
"fields": [
{
"name": "<string>",
"nativeType": "<string>",
"description": "<string>",
"ordinalPosition": 123,
"isStruct": true,
"isRepeated": true,
"fields": "<array>"
}
]
}
]
}
]
}
'import requests
url = "https://developer.synq.io/api/datawarehouse/v1/connection/{connection_id}/upload/{upload_id}/schemas"
payload = {
"stateAt": "2023-11-07T05:31:56Z",
"schemas": [{ "columns": [
{
"name": "<string>",
"nativeType": "<string>",
"ordinalPosition": 123,
"description": "<string>",
"tags": [
{
"tagName": "<string>",
"tagValue": "<string>"
}
],
"isStruct": True,
"isRepeated": True,
"fields": [
{
"name": "<string>",
"nativeType": "<string>",
"description": "<string>",
"ordinalPosition": 123,
"isStruct": True,
"isRepeated": True,
"fields": "<array>"
}
]
}
] }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stateAt: '2023-11-07T05:31:56Z',
schemas: [
{
columns: [
{
name: '<string>',
nativeType: '<string>',
ordinalPosition: 123,
description: '<string>',
tags: [{tagName: '<string>', tagValue: '<string>'}],
isStruct: true,
isRepeated: true,
fields: [
{
name: '<string>',
nativeType: '<string>',
description: '<string>',
ordinalPosition: 123,
isStruct: true,
isRepeated: true,
fields: '<array>'
}
]
}
]
}
]
})
};
fetch('https://developer.synq.io/api/datawarehouse/v1/connection/{connection_id}/upload/{upload_id}/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}synq.ingest.dwh.v1.DwhService
IngestSchemas
POST
/
api
/
datawarehouse
/
v1
/
connection
/
{connection_id}
/
upload
/
{upload_id}
/
schemas
IngestSchemas
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Time at which state was collected timestamp.gt = 2022-01-01T00:00:00Z timestamp.gt_lt = 2022-01-01T00:00:00Z timestamp.gt_lt_exclusive = 2022-01-01T00:00:00Z timestamp.gt_lte = 2022-01-01T00:00:00Z timestamp.gt_lte_exclusive = 2022-01-01T00:00:00Z timestamp.lt_now = true
Examples:
"2023-01-15T01:30:15.01Z"
"2024-12-25T12:00:00Z"
Show child attributes
Show child attributes
Response
200 - application/json
Success
The response is of type IngestSchemasResponse · object.
⌘I